umbrello: StereoAttributeDialog Class Reference

umbrello 25.04.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
StereoAttributeDialog Class Reference

`#include <stereoattributedialog.h>`

Inheritance diagram for StereoAttributeDialog:

## Public Member Functions
| StereoAttributeDialog (QWidget *parent, UMLStereotype *stereotype)
virtual | ~StereoAttributeDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Member Functions
void | setupDialog ()
bool | apply ()
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Protected Attributes
UMLStereotype * | m_pStereotype
QGroupBox * | m_pValuesGB
QLabel * | m_pNameLabel [N_STEREOATTRS]
QLineEdit * | m_pNameEdit [N_STEREOATTRS]
QLabel * | m_pTypeLabel [N_STEREOATTRS]
QComboBox * | m_pTypeCombo [N_STEREOATTRS]
QLabel * | m_pDefaultValueLabel [N_STEREOATTRS]
QLineEdit * | m_pDefaultValueEdit [N_STEREOATTRS]
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)

## Detailed Description

Author
  Oliver Kellogg Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ StereoAttributeDialog()

StereoAttributeDialog::StereoAttributeDialog | ( | QWidget * | parent,
|  | UMLStereotype * | stereotype )

## ◆ ~StereoAttributeDialog()

StereoAttributeDialog::~StereoAttributeDialog | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ apply()

bool StereoAttributeDialog::apply | ( |  | ) |
| protectedvirtual

Used when the OK button is clicked. Applies the stereotype attribute changes.

Reimplemented from SinglePageDialogBase.

## ◆ setupDialog()

void StereoAttributeDialog::setupDialog | ( |  | ) |
| protected

Sets up the dialog

## Member Data Documentation

## ◆ m_pDefaultValueEdit

QLineEdit* StereoAttributeDialog::m_pDefaultValueEdit[N_STEREOATTRS]
| protected

## ◆ m_pDefaultValueLabel

QLabel* StereoAttributeDialog::m_pDefaultValueLabel[N_STEREOATTRS]
| protected

## ◆ m_pNameEdit

QLineEdit* StereoAttributeDialog::m_pNameEdit[N_STEREOATTRS]
| protected

## ◆ m_pNameLabel

QLabel* StereoAttributeDialog::m_pNameLabel[N_STEREOATTRS]
| protected

## ◆ m_pStereotype

UMLStereotype* StereoAttributeDialog::m_pStereotype
| protected

The Stereotype to represent

## ◆ m_pTypeCombo

QComboBox* StereoAttributeDialog::m_pTypeCombo[N_STEREOATTRS]
| protected

## ◆ m_pTypeLabel

QLabel* StereoAttributeDialog::m_pTypeLabel[N_STEREOATTRS]
| protected

## ◆ m_pValuesGB

QGroupBox* StereoAttributeDialog::m_pValuesGB
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/stereoattributedialog.h
- umbrello/dialogs/stereoattributedialog.cpp